<div id="rightBox">
	<table border="0" cellpadding="0" cellspacing="0" class="rightBox_table">
		<tr>
			<td><img src="/files/contentBoxTop.jpg" alt="" width="690" height="16"/></td>
		</tr>
		<tr>
			<td valign="top" style="background-image: url(/files/contentBoxMiddle.jpg); width: 690px; height: 547px; background-position: center top; background-repeat: no-repeat;">
				<div id="rightBox_content">
					<div style="border-bottom:1px solid #999999;width:100%">Wiadomość : szczegóły</div>
					<br/>
					<?php
						if(isset($message))
						{
								echo '<p class="info_box">'.$message.'<p>';								
						}
					?>
										
					<?php
						if(isset($ticket))
						{		
						echo '<fieldset id="filters_0" class="collapsible">
								<legend onclick="toggleFieldset(this,0);">'.$ticket->data_wyslania.' <b>OD:</b> '.$ticket->nadawca.' <b>DO</b> '.$ticket->odbiorca.'</legend>
									<div name="toggle_group" id="fieldset_content_0">';						
									
									echo '<table id="hor-minimalist-b" style="width:100%">';
			
										echo '<tr>';
											echo '<td width="140">Temat</td>';
											echo '<td><div class="info_field">'.$ticket->temat.'</div></td>';
										echo '</tr>';
		
										echo '<tr>';
											echo '<td width="140">Status</td>';
											echo '<td><div class="info_field">'.$ticket->status.'</div></td>';
										echo '</tr>';
		
										echo '<tr>';
											echo '<td width="140">Kategoria</td>';
											echo '<td><div class="info_field">'.$ticket->kategoria.'</div></td>';
										echo '</tr>';
											
										echo '<tr>';
											echo '<td width="140">Wiadomość</td>';
											echo '<td><div class="info_field">'.nl2br($ticket->wiadomosc).'</div></td>';
										echo '</tr>';
										echo '<tr>';
											echo '<td width="140">Załaczniki</td>';
											echo '<td><div class="info_field">';
											if(isset($zalaczniki) && count($zalaczniki>0))
											{									
												echo '<table>';
													foreach($zalaczniki as $key=>$value)
													{
														$nazwa_pliku = explode('/',$value->sciezka);
														$nazwa_pliku = $nazwa_pliku[count($nazwa_pliku)-1];
														 
														$nazwa_pliku_real = explode('__',$nazwa_pliku);
														$nazwa_pliku_real = $nazwa_pliku_real[count($nazwa_pliku_real)-1];
														  
														echo '<tr>';
															echo '<td>'.($key+1).'</td>';									
															echo '<td><a href="'.$value->sciezka.'">'.$nazwa_pliku_real.'</a></td>';												
														echo '</tr>';
													}
												echo '</table>';
											}
											else
												echo 'brak';
												
											echo '</div></td>';
										echo '</tr>';								
																																										
									echo '</table><br/>';
									
								echo	'</div>
    								</fieldset>
									<br/>';									
						}
						
						//child tickets
						if(isset($child_tickets))
						{
							foreach($child_tickets as $key=>$value)
							{
								echo '<fieldset id="filters_'.($key+1).'" class="collapsible collapsed">
    									<legend onclick="toggleFieldset(this,'.($key+1).');">'.$value->data_wyslania.' <b>OD:</b> '.$value->nadawca.' <b>DO</b> '.$value->odbiorca.'</legend>
											<div name="toggle_group" id="fieldset_content_'.($key+1).'" style="display:none;">';
		
											echo '<table id="hor-minimalist-b" style="width:100%">';

											  	echo '<tr>';
													echo '<td width="140">Wiadomość</td>';
													echo '<td><div class="info_field">'.nl2br($value->wiadomosc).'</div></td>';
												echo '</tr>';
												
											  	echo '<tr>';
													echo '<td width="140">Priorytet</td>';
													echo '<td><div class="info_field">'.$value->priorytet.'</div></td>';
												echo '</tr>';
																								
												echo '<tr>';
													echo '<td width="140">Załaczniki</td>';
													echo '<td><div class="info_field">';
													if(isset($value->zalaczniki) && is_array($value->zalaczniki))
													{									
														echo '<table>';
															foreach($value->zalaczniki as $key2=>$value2)
															{
																$nazwa_pliku = explode('/',$value2->sciezka);
																$nazwa_pliku = $nazwa_pliku[count($nazwa_pliku)-1];
																 
																$nazwa_pliku_real = explode('__',$nazwa_pliku);
																$nazwa_pliku_real = $nazwa_pliku_real[count($nazwa_pliku_real)-1];
																  
																echo '<tr>';
																	echo '<td>'.($key2+1).'</td>';									
																	echo '<td><a href="'.$value2->sciezka.'">'.$nazwa_pliku_real.'</a></td>';												
																echo '</tr>';
															}
														echo '</table>';
													}
													else
														echo 'brak';														
													echo '</div></td>';
												echo '</tr>';								
												echo '<tr><td colspan="2" align="right" style="border:none;"><a href="#top">TOP</a></td></tr>';
																																												
											echo '</table><br/>	';																						
											
											
								echo	'</div>
    								</fieldset>
									<br/>';
							}							
						}
							
					?>
							
					<div class="ticket_menu">
						<div class="ticket_menu_item"><a href="/tickets">Powrót</a></div>
						<?php
						
							$canAnswer = true;
							
							if(isset($child_tickets))
							{
								if($child_tickets[count($child_tickets)-1]->status == 3)
									{
										$canAnswer = false;			
									}
							}
							else if($ticket->status == 3)
							{
								$canAnswer = false;								
							}
							
							if(!empty($owner_id) && !empty($user_account) && !empty($user_type))
							{
		
								if($user_type == 'admin' && $user_account['id'] != $owner_id)
									$canAnswer = false;						
									
							}
							
							if($canAnswer)
							{
								if($ticket->parent_id != '')
									echo '<div class="ticket_menu_item"><a href="/tickets/response/'.$ticket->parent_id.'">Odpowiedz</a></div>';
								else
								{
									echo '<div class="ticket_menu_item"><a href="/tickets/response/'.$ticket->id.'">Odpowiedz</a></div>';
									
								}
							}
							echo '<div class="ticket_menu_item" style="font-size:11px;" onclick="zwinAllFieldsets();">Zwiń</div>';
							echo '<div class="ticket_menu_item" style="font-size:11px;" onclick="rozwinAllFieldsets();">Rozwiń</div>';
						?>
					</div>						
				</div>
			</td>
		</tr>
	</table>
</div>						